html {
  height: 100%;
  width: 100%;
}

body {
  overflow: hidden;
  margin: 0;
  font-family: system-ui, -apple-system, "Segoe UI", Roboto, "Helvetica Neue", "Noto Sans", "Liberation Sans", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
  font-style: normal;
}

.weight-300 {
  font-weight: 300;
}

.weight-400 {
  font-weight: 400;
}

.weight-500 {
  font-weight: 500;
}

.main-container {
  height: 100vh;
  background-repeat: repeat;
  background-attachment: fixed;
  background-size: 50vh;
}
.main-container > .left-section {
  height: 100vh;
  background-size: cover;
  transition: background-image 1s linear;
  width: 50%;
}
@media (min-width: 1200px) {
  .main-container > .left-section {
    width: 55%;
  }
}
@media (orientation: portrait) {
  .main-container > .left-section {
    width: 100%;
    height: 45%;
  }
}
@media (orientation: portrait) and (min-height: 1000px) {
  .main-container > .left-section {
    height: 60%;
  }
}
.main-container > .left-section .attribution {
  position: absolute;
  color: white;
  font-weight: 200;
  text-shadow: 0.05em 0 black, 0 0.05em black, -0.05em 0 black, 0 -0.05em black, -0.05em -0.05em black, -0.05em 0.05em black, 0.05em -0.05em black, 0.05em 0.05em black;
}
@media (orientation: landscape) {
  .main-container > .left-section .attribution {
    left: 0.5em;
    bottom: 0.5em;
  }
}
@media (orientation: portrait) {
  .main-container > .left-section .attribution {
    top: 0.5em;
    right: 0.5em;
  }
}
.main-container > .right-section {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  z-index: 10;
  width: 60%;
}
@media (min-width: 1200px) {
  .main-container > .right-section {
    width: 55%;
  }
}
@media (orientation: portrait) {
  .main-container > .right-section {
    height: 60%;
    width: 100%;
    left: 0;
    top: auto;
    right: 0;
    bottom: 0;
  }
}
@media (orientation: portrait) and (min-height: 1000px) {
  .main-container > .right-section {
    height: 45%;
  }
}

.section-background {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-size: cover;
  backdrop-filter: blur(1.5rem);
  z-index: 15;
}

.detail-container {
  position: relative;
  z-index: 20;
  overflow: hidden;
  height: 100%;
  display: flex;
  flex-direction: column;
}
.detail-container > div {
  margin-left: 1em;
  margin-right: 1em;
}
.detail-container > div:first-child {
  margin-top: 1em;
}
.detail-container > div:last-child {
  margin-bottom: 1em;
}

.detail-scroll-container {
  flex: 1;
  display: flex;
  flex-direction: column;
  overflow-x: hidden;
  overflow-y: auto;
  gap: 1em;
  margin-top: 1em;
  padding-right: 0.5em;
  flex-wrap: nowrap;
  scroll-behavior: smooth;
}
@media (orientation: portrait) {
  .detail-scroll-container {
    flex-direction: row;
    justify-content: space-between;
    overflow-x: auto;
    overflow-y: hidden;
    padding-bottom: 0.5em;
    padding-right: 0;
  }
}
.detail-scroll-container .detail-block {
  margin: 0;
  display: grid;
  justify-items: center;
  justify-content: center;
  align-items: center;
  align-content: center;
  grid-template-rows: 1fr;
  grid-template-columns: 1fr;
}
@media (orientation: landscape) {
  .detail-scroll-container .detail-block {
    flex: 0 0 30%;
  }
}
@media (orientation: portrait) {
  .detail-scroll-container .detail-block {
    flex: 0 0 60%;
    justify-content: center;
    align-content: center;
  }
}
@media (orientation: portrait) and (min-width: 600px) {
  .detail-scroll-container .detail-block {
    flex: 0 0 30%;
  }
}
.detail-scroll-container .detail-block.active {
  background-color: rgba(102, 102, 102, 0.8);
}
.detail-scroll-container .detail-block.selectable {
  border: 1px solid rgba(170, 170, 170, 0.8);
}
.detail-scroll-container .detail-block.selectable > .data .title {
  font-weight: 500;
  font-size: 0.8rem;
  text-transform: uppercase;
  padding-bottom: 0.5rem;
}
.detail-scroll-container .detail-block.selectable > .data .species {
  font-size: 1.2rem;
  padding-bottom: 0.5rem;
}
.detail-scroll-container .detail-block.selectable > .data .frame-id {
  font-weight: 300;
  font-size: 0.8rem;
}
.detail-scroll-container .detail-block.selectable > .links a {
  color: #ef9125;
  text-decoration: none;
  font-weight: 500;
}
.detail-scroll-container .detail-block.selectable > .links a + a {
  margin-left: 0.5em;
}
@media (orientation: landscape) {
  .detail-scroll-container .detail-block.selectable {
    grid-template-columns: 1fr 1fr 1fr;
  }
}
@media (orientation: portrait) {
  .detail-scroll-container .detail-block.selectable {
    grid-template-rows: 1fr 1fr;
  }
  .detail-scroll-container .detail-block.selectable > * {
    grid-column: 1;
  }
  .detail-scroll-container .detail-block.selectable > .data {
    grid-row: 1;
    z-index: 1;
    align-self: end;
  }
  .detail-scroll-container .detail-block.selectable > .links {
    grid-row: 2;
    z-index: 1;
    align-self: center;
  }
  .detail-scroll-container .detail-block.selectable > .icon + .data, .detail-scroll-container .detail-block.selectable .links {
    text-shadow: 0.09rem 0.09rem 0.2rem rgba(0, 0, 0, 0.9333333333);
  }
}
.detail-scroll-container .detail-block.selectable > .icon {
  width: 100%;
  height: 100%;
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
}
@media (orientation: portrait) {
  .detail-scroll-container .detail-block.selectable > .icon {
    filter: blur(0.2rem) contrast(25%);
    z-index: 0;
    grid-row: 1/-1;
  }
}
@media (orientation: landscape) {
  .detail-scroll-container .detail-block.selectable > .icon {
    display: block;
    height: 80%;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
  }
}

.detail-block-header {
  text-align: center;
}
.detail-block-header img {
  object-fit: contain;
  max-width: 80%;
}

.detail-block {
  text-align: center;
  padding: 0.5em;
  border-radius: 0.5em 0.5em 0.5em 0.5em;
  margin-top: 1em;
  color: white;
  background-color: rgba(51, 51, 51, 0.8);
}
.detail-block.byline {
  font-weight: 500;
  font-size: 1.25rem;
}
.detail-block.thin {
  flex: 0 0 10%;
  font-size: 0.8rem;
}

a.detail-block {
  color: rgba(255, 255, 255, 0.8);
}

.detail-row-container {
  display: flex;
  flex-direction: row;
  gap: 1em;
}
.detail-row-container > .detail-block {
  flex: 1;
}